
QGIS Application - Feature request #1830

Context Menu for Map Composer

2009-07-31 07:00 AM - dassouki -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 11890

Description

I would like to have a context menu (right click menu) for different print composer objects. It would include items, such as edit, undo, some

manipulation features for instance.

Associated revisions

Revision 53e24f19 - 2017-10-10 01:48 AM - Nyall Dawson

[FEATURE][layouts] Add group/ungroup action to layout context menu

Group/ungroup actions show only when an appropriate selection

is present. I.e. "group" appears when a selection of at least

two items is present, and "ungroup" appears only when at least

one of the selected items is a group.

Refs #1830

Revision 183da9f2 - 2017-10-10 02:13 AM - Nyall Dawson

Add undo/redo to layout context menu

Refs #1830

Revision feec186f - 2017-12-06 11:49 PM - Nyall Dawson

[layout] Add context menu entries for cutting/copying, and pasting items

Fixes #1830

History

#1 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#4 - 2014-04-06 06:02 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#5 - 2017-05-01 12:42 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Easy fix? set to No

#6 - 2017-12-07 12:36 AM - Nyall Dawson

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|feec186fbf4d6ff3a89ef0ce2d82ed4eab16a907.

#7 - 2017-12-07 11:13 AM - Giovanni Manghi

- Resolution set to fixed/implemented
